import { CreatePullRequestApprovalRuleOutput, CreatePullRequestOutput, DeleteCommentContentOutput, DescribePullRequestEventsOutput, GetCommentsForPullRequestOutput, GetFileOutput, GetPullRequestOutput, GetRepositoryOutput, ListPullRequestsOutput, ListRepositoriesOutput, PostCommentForPullRequestOutput, PullRequestStatusEnum, UpdateCommentOutput, UpdatePullRequestDescriptionOutput, UpdatePullRequestStatusOutput, UpdatePullRequestTitleOutput } from '@aws-sdk/client-codecommit';
import type { Credentials } from '@aws-sdk/types';
export declare function buildCodeCommitClient(region: string, credentials: Credentials): void;
export declare function deleteComment(commentId: string): Promise<DeleteCommentContentOutput>;
export declare function getPrComments(repositoryName: string, pullRequestId: string): Promise<GetCommentsForPullRequestOutput>;
export declare function updateComment(commentId: string, content: string): Promise<UpdateCommentOutput>;
export declare function createPrComment(pullRequestId: string, repositoryName: string | undefined, content: string, beforeCommitId: string, afterCommitId: string): Promise<PostCommentForPullRequestOutput>;
export declare function getPrEvents(pullRequestId: string): Promise<DescribePullRequestEventsOutput>;
export declare function updatePrStatus(pullRequestId: string, pullRequestStatus: PullRequestStatusEnum.CLOSED | PullRequestStatusEnum.OPEN): Promise<UpdatePullRequestStatusOutput>;
export declare function updatePrTitle(prNo: string, title: string): Promise<UpdatePullRequestTitleOutput>;
export declare function updatePrDescription(pullRequestId: string, description: string): Promise<UpdatePullRequestDescriptionOutput>;
export declare function createPr(title: string, description: string, sourceReference: string, destinationReference: string, repositoryName: string | undefined): Promise<CreatePullRequestOutput>;
export declare function getFile(repositoryName: string | undefined, filePath: string, commitSpecifier: string | undefined): Promise<GetFileOutput>;
export declare function listPullRequests(repositoryName: string, authorArn: string): Promise<ListPullRequestsOutput>;
export declare function getRepositoryInfo(repository: string): Promise<GetRepositoryOutput>;
export declare function getPr(pullRequestId: string): Promise<GetPullRequestOutput | undefined>;
export declare function listRepositories(): Promise<ListRepositoriesOutput>;
export declare function createPrApprovalRule(pullRequestId: string, approvalRuleContent: string): Promise<CreatePullRequestApprovalRuleOutput>;
export declare function getCodeCommitUrl(region: string, repoName: string, credentials: Credentials): string;
